<?php

// Ce script de MAJ sera passé à chaque fois, après réglage révision et date un peu plus bas...
//================================================================================================

set_time_limit(0);
//___________________________________________________________________

//Future version révision et date
//___________________________________________________________________


$revision='0.2';
$date_revision='23/06/2008';

//___________________________________________________________________
//$revision est connu (par exemple par le début de ce script) et contient par exemple 4.4.8
//on va le comparer à la version indiquée dans les _params_globaux
//"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

if (!isset($revision) || !isset($date_revision)) return;

$resversion=query("SELECT param_val FROM _params_globaux WHERE param_nom='VERSION_GIBII'");
if (!list($versionact)=mysql_fetch_array($resversion)) return;

$vact100=vbase100($versionact);
$vnew100=vbase100($revision);

print "<br /><br />";
print "<h3>";
if ($vact100<$vnew100) {
    query("UPDATE _params_globaux SET param_val='$revision'  WHERE param_nom='VERSION_GIBII'");
    query("UPDATE _params_globaux SET param_val='$date_revision'  WHERE param_nom='DATE_GIBII'");
    $VERSION_GIBII=$revision;
    $DATE_GIBII=$date_revision;
    print "Mise à jour de la version : passage de la version $versionact à la version $revision du $date_revision";
    }
elseif ($vact100==$vnew100) {
    print "Vous êtes en version $revision.";
    }
else {
    print "Vous étiez en version $versionact !<br>Vous ne pouvez pas repasser en version $revision.<br>Qu'avez-vous bricolé avec les mises à jour ?<br>Hein ?";
    }
print "</h3>";
?>
